### GET /v1/services/{main_name}/start/ Source: https://openapi.chabokan.net/openapi.json Start and run your service ```markdown ### Parameters - **main_name** (string, path, required): Name of your service ### Responses #### 200 - Successful operation Empty response body #### 400 - Invalid input Invalid input #### 401 - unauthorize unauthorize #### 422 - Validation exception Validation exception ### Example Usage ```bash curl -X GET "https://hub.chabokan.net/fa/api/v1/services/{main_name}/start/" ``` ``` -------------------------------- ### GET /v1/cloudservers/ Source: https://openapi.chabokan.net/openapi.json Get all of your cloudservers ```markdown ### Responses #### 200 - Successful operation Empty response body #### 400 - Invalid request Invalid request #### 401 - Unauthorized Unauthorized ### Example Usage ```bash curl -X GET "https://hub.chabokan.net/fa/api/v1/cloudservers/" ``` ``` -------------------------------- ### POST /v1/cloudservers/os/ Source: https://openapi.chabokan.net/openapi.json Get the operating system for create new cloud server ```markdown ### Request Body **Content-Type:** application/json - **cloud_plan_id** (string) (required) (example: "") **Content-Type:** application/xml - **cloud_plan_id** (string) (required) (example: "") **Content-Type:** application/x-www-form-urlencoded - **cloud_plan_id** (string) (required) (example: "") ### Responses #### 200 - Successful operation Empty response body #### 400 - Invalid input Invalid input #### 401 - Unauthorized Unauthorized #### 422 - Validation exception Validation exception ### Example Usage ```bash curl -X POST "https://hub.chabokan.net/fa/api/v1/cloudservers/os/" \ -H "Content-Type: application/json" \ -d '{ "cloud_plan_id": "" }' ``` ``` -------------------------------- ### POST /v1/cloudservers/plans/ Source: https://openapi.chabokan.net/openapi.json Get the plans for create new cloud server ```markdown ### Request Body **Content-Type:** application/json - **cloud_location_id** (string) (required) (example: "") **Content-Type:** application/xml - **cloud_location_id** (string) (required) (example: "") **Content-Type:** application/x-www-form-urlencoded - **cloud_location_id** (string) (required) (example: "") ### Responses #### 200 - Successful operation Empty response body #### 400 - Invalid input Invalid input #### 401 - Unauthorized Unauthorized #### 422 - Validation exception Validation exception ### Example Usage ```bash curl -X POST "https://hub.chabokan.net/fa/api/v1/cloudservers/plans/" \ -H "Content-Type: application/json" \ -d '{ "cloud_location_id": "" }' ``` ``` -------------------------------- ### POST /v1/cloudservers/os/versions/ Source: https://openapi.chabokan.net/openapi.json Get the operating system version for create new cloud server ```markdown ### Request Body **Content-Type:** application/json - **cloud_template_name** (string) (required) (example: "") - **cloud_plan_id** (string) (required) (example: "") **Content-Type:** application/xml - **cloud_template_name** (string) (required) (example: "") - **cloud_plan_id** (string) (required) (example: "") **Content-Type:** application/x-www-form-urlencoded - **cloud_template_name** (string) (required) (example: "") - **cloud_plan_id** (string) (required) (example: "") ### Responses #### 200 - Successful operation Empty response body #### 400 - Invalid input Invalid input #### 401 - Unauthorized Unauthorized #### 422 - Validation exception Validation exception ### Example Usage ```bash curl -X POST "https://hub.chabokan.net/fa/api/v1/cloudservers/os/versions/" \ -H "Content-Type: application/json" \ -d '{ "cloud_template_name": "", "cloud_plan_id": "" }' ``` ``` -------------------------------- ### POST /v1/cloudservers/locations/ Source: https://openapi.chabokan.net/openapi.json Get the locations for create new cloud server ```markdown ### Request Body **Content-Type:** application/json - **cloud_id** (string) (required) (example: "") **Content-Type:** application/xml - **cloud_id** (string) (required) (example: "") **Content-Type:** application/x-www-form-urlencoded - **cloud_id** (string) (required) (example: "") ### Responses #### 200 - Successful operation Empty response body #### 400 - Invalid input Invalid input #### 401 - Unauthorized Unauthorized #### 422 - Validation exception Validation exception ### Example Usage ```bash curl -X POST "https://hub.chabokan.net/fa/api/v1/cloudservers/locations/" \ -H "Content-Type: application/json" \ -d '{ "cloud_id": "" }' ``` ``` -------------------------------- ### GET /v1/cloudservers/cloud/ Source: https://openapi.chabokan.net/openapi.json Get Cloud Providers Info ```markdown ### Responses #### 200 - Successful operation Empty response body #### 400 - Invalid request Invalid request #### 401 - Unauthorized Unauthorized ### Example Usage ```bash curl -X GET "https://hub.chabokan.net/fa/api/v1/cloudservers/cloud/" ``` ``` -------------------------------- ### GET /v1/wallets/ Source: https://openapi.chabokan.net/openapi.json API endpoint for GET /v1/wallets/ ```markdown ### Responses #### 200 - Successful operation Empty response body #### 400 - Invalid ID supplied Invalid ID supplied #### 401 - Unauthorized Unauthorized #### 404 - Wallet not found Wallet not found ### Example Usage ```bash curl -X GET "https://hub.chabokan.net/fa/api/v1/wallets/" ``` ``` -------------------------------- ### GET /v1/services/{main_name}/restart/ Source: https://openapi.chabokan.net/openapi.json Restart your service ```markdown ### Parameters - **main_name** (string, path, required): Name of your service ### Responses #### 200 - Successful operation Empty response body #### 400 - Invalid input Invalid input #### 401 - unauthorize unauthorize #### 422 - Validation exception Validation exception ### Example Usage ```bash curl -X GET "https://hub.chabokan.net/fa/api/v1/services/{main_name}/restart/" ``` ``` -------------------------------- ### GET /v1/accounts/info/ Source: https://openapi.chabokan.net/openapi.json View all your information ```markdown ### Responses #### 200 - successful operation Empty response body #### 400 - Invalid ID supplied Invalid ID supplied #### 401 - unauthorize unauthorize #### 404 - Pet not found Pet not found ### Example Usage ```bash curl -X GET "https://hub.chabokan.net/fa/api/v1/accounts/info/" ``` ``` -------------------------------- ### GET /v1/services/{main_name}/logs/ Source: https://openapi.chabokan.net/openapi.json Get your service logs ```markdown ### Parameters - **main_name** (string, path, required): Name of your service ### Responses #### 200 - Successful operation Empty response body #### 400 - Invalid input Invalid input #### 401 - unauthorize unauthorize #### 422 - Validation exception Validation exception ### Example Usage ```bash curl -X GET "https://hub.chabokan.net/fa/api/v1/services/{main_name}/logs/" ``` ``` -------------------------------- ### GET /v1/services/ Source: https://openapi.chabokan.net/openapi.json API endpoint for GET /v1/services/ ```markdown ### Responses #### 200 - successful operation Empty response body #### 400 - Invalid ID supplied Invalid ID supplied #### 401 - unauthorize unauthorize #### 404 - Pet not found Pet not found ### Example Usage ```bash curl -X GET "https://hub.chabokan.net/fa/api/v1/services/" ``` ``` -------------------------------- ### API Overview: Chabokan-OpenAPI Source: https://openapi.chabokan.net/openapi.json Use Chabokan-API to manage your services and accounts _To use the api you need an API token, Get your API Token [here](https://hub.chabokan.net/fa/api-token/). This token should be sent as `Authorization` header with all requests to the api endpoints._ _Hint: input token like this: Token 4aa88a470b6a32f69f5ffcfdc943ffa95ed30q1_ Some useful links: - [Chabokan Documents](https://docs.chabokan.net/) - [Chabokan Panel](https://hub.chabokan.net/fa/?) ```yaml # Chabokan-OpenAPI # Version: 1.2.2 Use Chabokan-API to manage your services and accounts _To use the api you need an API token, Get your API Token [here](https://hub.chabokan.net/fa/api-token/). This token should be sent as `Authorization` header with all requests to the api endpoints._ _Hint: input token like this: Token 4aa88a470b6a32f69f5ffcfdc943ffa95ed30q1_ Some useful links: - [Chabokan Documents](https://docs.chabokan.net/) - [Chabokan Panel](https://hub.chabokan.net/fa/?) # Base URL: https://hub.chabokan.net/fa/api ``` -------------------------------- ### GET /v1/services/{main_name}/stop/ Source: https://openapi.chabokan.net/openapi.json Stop your service ```markdown ### Parameters - **main_name** (string, path, required): Name of your service ### Responses #### 200 - Successful operation Empty response body #### 400 - Invalid input Invalid input #### 401 - unauthorize unauthorize #### 422 - Validation exception Validation exception ### Example Usage ```bash curl -X GET "https://hub.chabokan.net/fa/api/v1/services/{main_name}/stop/" ``` ``` -------------------------------- ### POST /v1/cloudservers/start/ Source: https://openapi.chabokan.net/openapi.json Turn on your cloudserver ```markdown ### Request Body **Content-Type:** application/json - **cloud_server_id** (string) (required) (example: "") **Content-Type:** application/xml - **cloud_server_id** (string) (required) (example: "") **Content-Type:** application/x-www-form-urlencoded - **cloud_server_id** (string) (required) (example: "") ### Responses #### 200 - Successful operation Empty response body #### 400 - Invalid input Invalid input #### 401 - Unauthorized Unauthorized #### 422 - Validation exception Validation exception ### Example Usage ```bash curl -X POST "https://hub.chabokan.net/fa/api/v1/cloudservers/start/" \ -H "Content-Type: application/json" \ -d '{ "cloud_server_id": "" }' ``` ``` -------------------------------- ### POST /v1/cloudservers/create/ Source: https://openapi.chabokan.net/openapi.json Create a new cloud server ```markdown ### Request Body **Content-Type:** application/json - **cloud** (string) (required) (example: "") - **cloud_location** (string) (required) (example: "") - **hostname** (string) (required) (example: "") - **cloud_plan** (string) (required) (example: "") - **cloud_template** (string) (required) (example: "") - **cloud_template_version** (string) (required) (example: "") - **wallet** (string) (required) (example: "") **Content-Type:** application/xml - **cloud** (string) (required) (example: "") - **cloud_location** (string) (required) (example: "") - **hostname** (string) (required) (example: "") - **cloud_plan** (string) (required) (example: "") - **cloud_template** (string) (required) (example: "") - **cloud_template_version** (string) (required) (example: "") - **wallet** (string) (required) (example: "") **Content-Type:** application/x-www-form-urlencoded - **cloud** (string) (required) (example: "") - **cloud_location** (string) (required) (example: "") - **hostname** (string) (required) (example: "") - **cloud_plan** (string) (required) (example: "") - **cloud_template** (string) (required) (example: "") - **cloud_template_version** (string) (required) (example: "") - **wallet** (string) (required) (example: "") ### Responses #### 200 - Successful operation Empty response body #### 400 - Invalid input Invalid input #### 401 - Unauthorized Unauthorized #### 422 - Validation exception Validation exception ### Example Usage ```bash curl -X POST "https://hub.chabokan.net/fa/api/v1/cloudservers/create/" \ -H "Content-Type: application/json" \ -d '{ "cloud": "", "cloud_location": "", "hostname": "", "cloud_plan": "", "cloud_template": "", "cloud_template_version": "", "wallet": "" }' ``` ``` -------------------------------- ### POST /v1/cloudservers/restart/ Source: https://openapi.chabokan.net/openapi.json Restart your cloudserver ```markdown ### Request Body **Content-Type:** application/json - **cloud_server_id** (string) (required) (example: "") **Content-Type:** application/xml - **cloud_server_id** (string) (required) (example: "") **Content-Type:** application/x-www-form-urlencoded - **cloud_server_id** (string) (required) (example: "") ### Responses #### 200 - Successful operation Empty response body #### 400 - Invalid input Invalid input #### 401 - Unauthorized Unauthorized #### 422 - Validation exception Validation exception ### Example Usage ```bash curl -X POST "https://hub.chabokan.net/fa/api/v1/cloudservers/restart/" \ -H "Content-Type: application/json" \ -d '{ "cloud_server_id": "" }' ``` ``` -------------------------------- ### POST /v1/cloudservers/name-check/ Source: https://openapi.chabokan.net/openapi.json Check hostname for create cloudserver ```markdown ### Request Body **Content-Type:** application/json - **hostname** (string) (required) (example: "") **Content-Type:** application/xml - **hostname** (string) (required) (example: "") **Content-Type:** application/x-www-form-urlencoded - **hostname** (string) (required) (example: "") ### Responses #### 200 - Successful operation **CheckVPSName** - **hostname** (string) (required) (example: "") **CheckVPSName** #### 400 - Invalid input Invalid input #### 401 - Unauthorized Unauthorized #### 422 - Validation exception Validation exception ### Example Usage ```bash curl -X POST "https://hub.chabokan.net/fa/api/v1/cloudservers/name-check/" \ -H "Content-Type: application/json" \ -d '{ "hostname": "" }' ``` ``` -------------------------------- ### POST /v1/services/{main_name}/deploy/ Source: https://openapi.chabokan.net/openapi.json Deploy your service ```markdown ### Parameters - **main_name** (string, path, required): Name of your service ### Request Body **Content-Type:** multipart/form-data - **file** (string (binary)) (required) - **options** (object) (required) ### Responses #### 200 - Successful operation **DeployService** - **file** (string (binary)) (required) - **options** (object) (required) **DeployService** #### 400 - Invalid input Invalid input #### 401 - unauthorize unauthorize #### 422 - Validation exception Validation exception ### Example Usage ```bash curl -X POST "https://hub.chabokan.net/fa/api/v1/services/{main_name}/deploy/" \ -H "Content-Type: application/json" \ -d '{ "file": "string", "options": "value" }' ``` ``` -------------------------------- ### POST /v1/cloudservers/change-wallet/ Source: https://openapi.chabokan.net/openapi.json Change your Cloudserver wallet ```markdown ### Request Body **Content-Type:** application/json - **cloud_server_id** (string) (required) (example: "") - **wallet** (string) (required) (example: "") **Content-Type:** application/xml - **cloud_server_id** (string) (required) (example: "") - **wallet** (string) (required) (example: "") **Content-Type:** application/x-www-form-urlencoded - **cloud_server_id** (string) (required) (example: "") - **wallet** (string) (required) (example: "") ### Responses #### 200 - Successful operation Empty response body #### 400 - Invalid input Invalid input #### 401 - Unauthorized Unauthorized #### 422 - Validation exception Validation exception ### Example Usage ```bash curl -X POST "https://hub.chabokan.net/fa/api/v1/cloudservers/change-wallet/" \ -H "Content-Type: application/json" \ -d '{ "cloud_server_id": "", "wallet": "" }' ``` ``` -------------------------------- ### POST /v1/accounts/login/ Source: https://openapi.chabokan.net/openapi.json Login to your account ```markdown ### Request Body **Content-Type:** application/json - **username** (string) (required) (example: "") - **password** (string) (required) (example: "") **Content-Type:** application/xml - **username** (string) (required) (example: "") - **password** (string) (required) (example: "") **Content-Type:** application/x-www-form-urlencoded - **username** (string) (required) (example: "") - **password** (string) (required) (example: "") ### Responses #### 200 - Successful operation **Login** - **username** (string) (required) (example: "") - **password** (string) (required) (example: "") **Login** #### 400 - Invalid ID supplied Invalid ID supplied #### 401 - unauthorize unauthorize #### 404 - Pet not found Pet not found ### Example Usage ```bash curl -X POST "https://hub.chabokan.net/fa/api/v1/accounts/login/" \ -H "Content-Type: application/json" \ -d '{ "username": "", "password": "" }' ``` ``` -------------------------------- ### POST /v1/services/{main_name}/resize/ Source: https://openapi.chabokan.net/openapi.json Resize your service ```markdown ### Parameters - **main_name** (string, path, required): Name of your service ### Request Body **Content-Type:** application/json - **ram** (string) (required) (example: "") - **cpu** (string) (required) (example: "") - **disk** (string) (required) (example: "") - **bandwith** (string) (required) (example: "") **Content-Type:** application/xml - **ram** (string) (required) (example: "") - **cpu** (string) (required) (example: "") - **disk** (string) (required) (example: "") - **bandwith** (string) (required) (example: "") **Content-Type:** application/x-www-form-urlencoded - **ram** (string) (required) (example: "") - **cpu** (string) (required) (example: "") - **disk** (string) (required) (example: "") - **bandwith** (string) (required) (example: "") ### Responses #### 200 - Successful operation **ResizeService** - **ram** (string) (required) (example: "") - **cpu** (string) (required) (example: "") - **disk** (string) (required) (example: "") - **bandwith** (string) (required) (example: "") **ResizeService** #### 400 - Invalid input Invalid input #### 401 - unauthorize unauthorize #### 422 - Validation exception Validation exception ### Example Usage ```bash curl -X POST "https://hub.chabokan.net/fa/api/v1/services/{main_name}/resize/" \ -H "Content-Type: application/json" \ -d '{ "ram": "", "cpu": "", "disk": "", "bandwith": "" }' ``` ``` -------------------------------- ### POST /v1/cloudservers/stop/ Source: https://openapi.chabokan.net/openapi.json Turn off your cloudserver ```markdown ### Request Body **Content-Type:** application/json - **cloud_server_id** (string) (required) (example: "") **Content-Type:** application/xml - **cloud_server_id** (string) (required) (example: "") **Content-Type:** application/x-www-form-urlencoded - **cloud_server_id** (string) (required) (example: "") ### Responses #### 200 - Successful operation Empty response body #### 400 - Invalid input Invalid input #### 401 - Unauthorized Unauthorized #### 422 - Validation exception Validation exception ### Example Usage ```bash curl -X POST "https://hub.chabokan.net/fa/api/v1/cloudservers/stop/" \ -H "Content-Type: application/json" \ -d '{ "cloud_server_id": "" }' ``` ``` -------------------------------- ### POST /v1/cloudservers/delete/ Source: https://openapi.chabokan.net/openapi.json Delete your cloudserver ```markdown ### Request Body **Content-Type:** application/json - **cloud_server_id** (string) (required) (example: "") **Content-Type:** application/xml - **cloud_server_id** (string) (required) (example: "") **Content-Type:** application/x-www-form-urlencoded - **cloud_server_id** (string) (required) (example: "") ### Responses #### 200 - Successful operation Empty response body #### 400 - Invalid input Invalid input #### 401 - Unauthorized Unauthorized #### 422 - Validation exception Validation exception ### Example Usage ```bash curl -X POST "https://hub.chabokan.net/fa/api/v1/cloudservers/delete/" \ -H "Content-Type: application/json" \ -d '{ "cloud_server_id": "" }' ``` ``` -------------------------------- ### POST /v1/services/{main_name}/domain/ Source: https://openapi.chabokan.net/openapi.json Connecting domain to service ```markdown ### Parameters - **main_name** (string, path, required): Name of your service ### Request Body **Content-Type:** application/json - **domain_name** (string) (required) (example: "") **Content-Type:** application/xml - **domain_name** (string) (required) (example: "") **Content-Type:** application/x-www-form-urlencoded - **domain_name** (string) (required) (example: "") ### Responses #### 200 - Successful operation **DomainConnectToService** - **domain_name** (string) (required) (example: "") **DomainConnectToService** #### 400 - Invalid input Invalid input #### 401 - unauthorize unauthorize #### 422 - Validation exception Validation exception ### Example Usage ```bash curl -X POST "https://hub.chabokan.net/fa/api/v1/services/{main_name}/domain/" \ -H "Content-Type: application/json" \ -d '{ "domain_name": "" }' ``` ``` -------------------------------- ### Schema: SetCloudserverPlan Source: https://openapi.chabokan.net/openapi.json Schema definition for SetCloudserverPlan ```markdown ## Schema: SetCloudserverPlan Schema definition for SetCloudserverPlan **Type:** object - **cloud_location_id** (string) (required) (example: "") ``` -------------------------------- ### Schema: CreateCloudserver Source: https://openapi.chabokan.net/openapi.json Schema definition for CreateCloudserver ```markdown ## Schema: CreateCloudserver Schema definition for CreateCloudserver **Type:** object - **cloud** (string) (required) (example: "") - **cloud_location** (string) (required) (example: "") - **hostname** (string) (required) (example: "") - **cloud_plan** (string) (required) (example: "") - **cloud_template** (string) (required) (example: "") - **cloud_template_version** (string) (required) (example: "") - **wallet** (string) (required) (example: "") ``` -------------------------------- ### Schema: TurnOnCloudserver Source: https://openapi.chabokan.net/openapi.json Schema definition for TurnOnCloudserver ```markdown ## Schema: TurnOnCloudserver Schema definition for TurnOnCloudserver **Type:** object - **cloud_server_id** (string) (required) (example: "") ``` -------------------------------- ### Schema: RestartCloudserver Source: https://openapi.chabokan.net/openapi.json Schema definition for RestartCloudserver ```markdown ## Schema: RestartCloudserver Schema definition for RestartCloudserver **Type:** object - **cloud_server_id** (string) (required) (example: "") ``` -------------------------------- ### Schema: SetCloudserverOSVersion Source: https://openapi.chabokan.net/openapi.json Schema definition for SetCloudserverOSVersion ```markdown ## Schema: SetCloudserverOSVersion Schema definition for SetCloudserverOSVersion **Type:** object - **cloud_template_name** (string) (required) (example: "") - **cloud_plan_id** (string) (required) (example: "") ``` -------------------------------- ### Schema: ResizeService Source: https://openapi.chabokan.net/openapi.json Schema definition for ResizeService ```markdown ## Schema: ResizeService Schema definition for ResizeService **Type:** object - **ram** (string) (required) (example: "") - **cpu** (string) (required) (example: "") - **disk** (string) (required) (example: "") - **bandwith** (string) (required) (example: "") ``` -------------------------------- ### Schema: SetCloudserverLocation Source: https://openapi.chabokan.net/openapi.json Schema definition for SetCloudserverLocation ```markdown ## Schema: SetCloudserverLocation Schema definition for SetCloudserverLocation **Type:** object - **cloud_id** (string) (required) (example: "") ``` -------------------------------- ### Schema: SetCloudserverOS Source: https://openapi.chabokan.net/openapi.json Schema definition for SetCloudserverOS ```markdown ## Schema: SetCloudserverOS Schema definition for SetCloudserverOS **Type:** object - **cloud_plan_id** (string) (required) (example: "") ``` -------------------------------- ### POST /v1/coupons/check-coupon/ Source: https://openapi.chabokan.net/openapi.json Check if a coupon is valid ```markdown ### Request Body **Content-Type:** application/json - **code** (string) (required) (example: "") **Content-Type:** application/xml - **code** (string) (required) (example: "") **Content-Type:** application/x-www-form-urlencoded - **code** (string) (required) (example: "") ### Responses #### 200 - Successful operation Empty response body #### 400 - Invalid input Invalid input #### 401 - Unauthorized Unauthorized #### 422 - Validation exception Validation exception ### Example Usage ```bash curl -X POST "https://hub.chabokan.net/fa/api/v1/coupons/check-coupon/" \ -H "Content-Type: application/json" \ -d '{ "code": "" }' ``` ``` -------------------------------- ### Schema: DeployService Source: https://openapi.chabokan.net/openapi.json Schema definition for DeployService ```markdown ## Schema: DeployService Schema definition for DeployService **Type:** object - **file** (string (binary)) (required) - **options** (object) (required) ``` -------------------------------- ### Schema: TurnOffCloudserver Source: https://openapi.chabokan.net/openapi.json Schema definition for TurnOffCloudserver ```markdown ## Schema: TurnOffCloudserver Schema definition for TurnOffCloudserver **Type:** object - **cloud_server_id** (string) (required) (example: "") ``` -------------------------------- ### Schema: Login Source: https://openapi.chabokan.net/openapi.json Schema definition for Login ```markdown ## Schema: Login Schema definition for Login **Type:** object - **username** (string) (required) (example: "") - **password** (string) (required) (example: "") ``` -------------------------------- ### Schema: DomainConnectToService Source: https://openapi.chabokan.net/openapi.json Schema definition for DomainConnectToService ```markdown ## Schema: DomainConnectToService Schema definition for DomainConnectToService **Type:** object - **domain_name** (string) (required) (example: "") ``` -------------------------------- ### Schema: DeleteCloudserver Source: https://openapi.chabokan.net/openapi.json Schema definition for DeleteCloudserver ```markdown ## Schema: DeleteCloudserver Schema definition for DeleteCloudserver **Type:** object - **cloud_server_id** (string) (required) (example: "") ``` -------------------------------- ### Schema: ChangeWallet Source: https://openapi.chabokan.net/openapi.json Schema definition for ChangeWallet ```markdown ## Schema: ChangeWallet Schema definition for ChangeWallet **Type:** object - **cloud_server_id** (string) (required) (example: "") - **wallet** (string) (required) (example: "") ``` -------------------------------- ### DELETE /v1/services/{main_name}/domain/{domain_name}/ Source: https://openapi.chabokan.net/openapi.json API endpoint for DELETE /v1/services/{main_name}/domain/{domain_name}/ ```markdown ### Parameters - **main_name** (string, path, required): Name of your service - **domain_name** (string, path, required): Name of your domain for delete ### Responses #### 200 - Successful operation Empty response body #### 400 - Invalid input Invalid input #### 401 - unauthorize unauthorize #### 422 - Validation exception Validation exception ### Example Usage ```bash curl -X DELETE "https://hub.chabokan.net/fa/api/v1/services/{main_name}/domain/{domain_name}/" ``` ``` -------------------------------- ### Security: Authorization Source: https://openapi.chabokan.net/openapi.json Security scheme: Authorization ```markdown ## Security: Authorization **Description:** Security scheme: Authorization **Type:** apiKey ``` -------------------------------- ### Schema: CheckCoupon Source: https://openapi.chabokan.net/openapi.json Schema definition for CheckCoupon ```markdown ## Schema: CheckCoupon Schema definition for CheckCoupon **Type:** object - **code** (string) (required) (example: "") ``` -------------------------------- ### Schema: CheckVPSName Source: https://openapi.chabokan.net/openapi.json Schema definition for CheckVPSName ```markdown ## Schema: CheckVPSName Schema definition for CheckVPSName **Type:** object - **hostname** (string) (required) (example: "") ``` === COMPLETE CONTENT === This response contains all available snippets from this library. No additional content exists. Do not make further requests.